Install MediaWiki/Modifications pour la 1.31.0 — La FAQ de JLT

Install MediaWiki/Modifications pour la 1.31.0

Article publié le : 13 décembre 2018 19:45:58


Install MediaWiki/Modifications pour la 1.31.0
Nom mediawiki
Version 1.31.0

Install_MediaWiki

Installation

  • sauvegarde du site et de la base de données Sauvegarde de site
  • sauvegarde du fichier LocalSettings.php
  • décompression de la version sur un nouveau répertoire, puis recopie sur le répertoire d'installation de MediaWiki


J'ai récupéré le targz mediawiki-1.31.0
puis je l'ai dézippé à l'aide d'un script php upgrade.php
//supression anciens répertoires
system("rm -rf ../MediaWiki/bin ../MediaWiki/cache ../MediaWiki/docs ../MediaWiki/includes ../MediaWiki/langages");
system("rm -rf  ../MediaWiki/maintenance ../MediaWiki/mw-config ../MediaWiki/resources ../MediaWiki/serialized ../MediaWiki/tests");
//dézipper
system("tar -C  ../MediaWiki --strip-components 1 -zxf ../tmp/mediawiki-1.31.0.tar.gz ");
  • lancement de l'installation
http://www.jltryoen.fr/MediaWiki/mw-config/
=> mise à jour de la base de données
  • reprise/vérification du fichier LocalSettings.php
 

Installation

  • désactiver Semantic, pour cela modifier le fichier LocalSettings.php
##enableSemantics('www.jltryoen.fr/wiki/');
#require_once( "$IP/extensions/SemanticForms/SemanticForms.php");
#require_once( "$IP/extensions/SemanticExtraSpecialProperties/SemanticExtraSpecialProperties.php");
#require_once( "$IP/extensions/SemanticFormsInputs/SemanticFormsInputs.php");


Il est nécessaire de rétablir après l'installation le fichier composer.json pour récupérer
MediaWiki/Semantic_MediaWiki

et de rétablir Semantic dans le fichier LocalSettings.php
De plus comme composer n'est pas disponible chez OVH j'ai transféré le contenu du répertoire vendor

J'ai utilisé composer-merge-plugin qui permet d'utiliser un fichier séparé pour les extensions : composer.local.json

{
    "require": {        
        "mediawiki/semantic-media-wiki": "2.5.6",
        "mediawiki/semantic-result-formats": "2.5.5"
    }
}

Une fois Semantic rétabli dans les fichiers, lancer un update avec composer

composer update --no-dev



Extensions incompatibles

  • SyntaxHighLight
la nouvelle version utilise la librairie Pygments . Elle ne permet pas d'ajouter une langue. J'ai donc rétabli la version précédente qui utilise geshi